#
# spec file for package pidgin-otr (Version 3.2.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pidgin-otr
BuildRequires:  gtk2-devel intltool libotr-devel pidgin-devel update-desktop-files
Version:        3.2.0
Release:        142.4.3
Url:            http://www.cypherpunks.ca/otr/
Group:          Productivity/Networking/Instant Messenger
License:        GPLv2+
Summary:        "Off The Record" end-to-end encryption plugin for gaim
Source:         http://www.cypherpunks.ca/otr/%{name}-%{version}.tar.bz2
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       gaim-otr = %{version}
Obsoletes:      gaim-otr <= 3.0.0
%requires_eq    pidgin

%description
This is a gaim plugin which implements Off-the-Record (OTR)
   Messaging. OTR allows you to have private conversations over IM
   by providing: - Encryption

- No one else can read your instant messages.

- Authentication

- You are assured the correspondent is who you think it is.

- Deniability

- The messages you send do _not_ have digital signatures that are
   checkable by a third party.	Anyone can forge messages after a
   conversation to make them look like they came from you.  However,
   _during_ a conversation, your correspondent is assured the
   messages he sees are authentic and unmodified.

- Perfect forward secrecy

- If you lose control of your private keys, no previous conversation is
compromised.



Authors:
--------
    Nikita Borisov and Ian Goldberg <otr@cypherpunks.ca>

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
autoreconf -fi
%configure --with-pic --disable-static
%{__make} %{?jobs:-j%jobs}

%install
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__rm} $RPM_BUILD_ROOT%{_libdir}/pidgin/*.la
%find_lang pidgin-otr

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f pidgin-otr.lang
%defattr (-, root, root)
%doc COPYING README AUTHORS NEWS ChangeLog
%{_libdir}/pidgin/*.so

%changelog
* Tue Sep 23 2008 crrodriguez@suse.de
- update to version 3.2.0, sync with libotr 3.2.0
* Sat Mar  8 2008 crrodriguez@suse.de
- to be useful. this package should require pidgin
* Tue Nov 13 2007 crrodriguez@suse.de
- rename package to pidgin-otr and update to version 3.1.0 needed
  to support libotr 3.1.0
* Tue Jun 12 2007 ro@suse.de
- replace gaim-devel by pidgin-devel in buildreq
- add pidgin patch (diff from pidgin-otr-3.0.0)
* Thu Jan 11 2007 sbrabec@suse.cz
- Prefix changed to /usr.
* Fri Dec  1 2006 sbrabec@suse.cz
- Build correctly in older products.
* Sat Oct  7 2006 aj@suse.de
- Cleanup BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  9 2005 bwhiteley@suse.de
- update to version 3.0.0
* Tue Nov  1 2005 bwhiteley@suse.de
- First time suse package (version 2.0.2)
